Bug 66755 - Raid fails to start when /usr is not on / filesystem
Raid fails to start when /usr is not on / filesystem
Product: Red Hat Linux
Classification: Retired
Component: raidtools (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-14 21:03 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-27 18:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-14 21:03:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
My system:
   / mounted on /dev/sda2
   /usr mounted on /dev/sda3
   raid device /dev/md0

This is the boot sequence:
1. Root is mounted
2. rc.sysinit tries to start /dev/md0
3. Complains that a library on /usr/lib is missing ( I believe because /usr has 
not been mounted yet.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Mount / and /usr on two separate filesystems
2. Create a raid device
3. Reboot

Actual Results:  I was dropped to maintainence mode at boot up

Additional info:
Comment 1 David Torea 2002-08-20 04:35:57 EDT
I have a similar problem with a RAID1.
My OS is mounted in sda (/ and /usr are mounted on separate filesystems), and 
then I have two another disks (sdb, sdc) where I attempt to make a RAID1. I can 
create de raid device and mount a filesystem. I can startup (with raidstart) 
and shutdown (with raidstop) the raid device without problems. The problem 
appears when I reboot the machine. The error: "the system can't find 
libpopt.so.0". But this library exists in /usr/lib.

Note You need to log in before you can comment on or make changes to this bug.